package me.Destro168.FC_Announcer;

import net.milkbowl.vault.permission.Permission;

import org.bukkit.entity.Player;
import org.bukkit.plugin.RegisteredServiceProvider;

public class AnnouncerPerms
{
	Player player;
	public static Permission permission = null;

	public AnnouncerPerms() { }
	
	public void setPlayer(Player player_)
	{
		player = player_;
	}
	
	public boolean setupPermissions()
    {
        RegisteredServiceProvider<Permission> permissionProvider = FC_Announcer.plugin.getServer().getServicesManager().getRegistration(net.milkbowl.vault.permission.Permission.class);
        
        if (permissionProvider != null) 
        {
            permission = permissionProvider.getProvider();
        }
        
        return (permission != null);
    }
	
	public boolean viewGroup(int x)
	{
		if (permission.has(player, "FC_Announcer.view." + x))
			return true;
		
		return false;
	}
	
	public boolean ignoresGroup(int x)
	{
		if (permission.has(player, "FC_Announcer.ignore." + x))
			return true;
		
		return false;
	}
	
	public boolean isAdmin()
	{
		if (permission.has(player, "FC_Announcer.admin") || player.isOp())
			return true;
		
		return false;
	}
}
