package me.Destro168.FC_General;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;

public class MessageLib
{
	Player player;
	private final String redTag = ChatColor.WHITE + "[" + ChatColor.RED + "FC" + ChatColor.WHITE + "] ";
	private final String greenTag = ChatColor.WHITE + "[" + ChatColor.GREEN + "FC" + ChatColor.WHITE + "] ";
	
	public MessageLib(Player player_) { player = player_; }
	
	public boolean errorInvalidCommand()
	{
		player.sendMessage(redTag + "Invalid Command Usage. Type /fc_bans for help.");
		return true;
	}
	
	public boolean errorNoPermission()
	{
		player.sendMessage(redTag + "You do not have access to this command.");
		return true;
	}
	
	public boolean successCommand()
	{
		player.sendMessage(greenTag + "Successfully performed command!");
		return true;
	}
	
	public boolean errorPlayerNotOnline()
	{
		player.sendMessage(redTag + "Player is not online!");
		return true;
	}
	
	public boolean playerNotFound()
	{
		player.sendMessage(redTag + "Player specified could not be found.");
		return true;
	}
	
	public void debugTest(boolean debugEnabled)
	{
		if (debugEnabled == true)
		{
			player.sendMessage(redTag + "Debug Message. TEST!");
		}
	}
	
	public boolean broadcast(String msg)
	{
		Bukkit.getServer().broadcastMessage(redTag + msg);
		return true;
	}
	
	public void cm(int color, String message)
	{
		if (color == 0)
		{
			player.sendMessage(ChatColor.GREEN + message);
		}
		else if (color == 1)
		{
			player.sendMessage(ChatColor.GOLD + message);
		}
		else if (color == 2)
		{
			player.sendMessage(ChatColor.BLUE + message);
		}
		else if (color == 3)
		{
			player.sendMessage(ChatColor.RED + message);
		}
		else if (color == 4)
		{
			player.sendMessage(ChatColor.DARK_GREEN + message);
		}
		else if (color == 5)
		{
			player.sendMessage(ChatColor.DARK_RED + message);
		}
		else if (color == 6)
		{
			player.sendMessage(ChatColor.GRAY + "" + ChatColor.ITALIC + message);
		}
		else if (color == 7)
		{
			player.sendMessage(ChatColor.DARK_GRAY + message);
		}
		else if (color == 8)
		{
			player.sendMessage(ChatColor.YELLOW + message);
		}
		else if (color == 98)
		{
			player.sendMessage(ChatColor.GREEN + ".: " + ChatColor.YELLOW + ChatColor.ITALIC + ChatColor.BOLD + message + ChatColor.GREEN + " :.");
		}
		else if (color == 99)
		{
			player.sendMessage(ChatColor.GREEN + ".:" + ChatColor.YELLOW + " RPG Mod Help! " + ChatColor.GREEN + ":. " +
					ChatColor.YELLOW + "Page " + message);
		}
	}
	
	public void cm2(int color, String m1, String m2)
	{
		if (color == 0)
		{
			player.sendMessage(ChatColor.GRAY + "" + ChatColor.ITALIC + m1 + ": " + ChatColor.YELLOW + m2);
		}
		else if (color == 1)
		{
			player.sendMessage(ChatColor.RED + "" + ChatColor.ITALIC + m1 + ": " + ChatColor.GREEN + m2);
		}
		else if (color == 2)
		{
			player.sendMessage(ChatColor.RED + "" + ChatColor.ITALIC + m1 + ": " + ChatColor.YELLOW + m2);
		}
		else if (color == 3)
		{
			player.sendMessage(ChatColor.DARK_GREEN + "" + ChatColor.ITALIC + m1 + ": " + ChatColor.GREEN + m2);
		}
		else if (color == 4)
		{
			player.sendMessage(ChatColor.GOLD + "" + ChatColor.ITALIC + m1 + ": " + ChatColor.YELLOW + m2);
		}
		else if (color == 5)
		{
			player.sendMessage(ChatColor.GRAY + "" + ChatColor.ITALIC + m1 + ": " + ChatColor.GREEN + m2);
		}
	}
}

